uuagc

Safe Haskell | Safe-Infered

Scanner

# Documentation

data Input

Constructors

Input !Pos String (Maybe (Token, Input)) |

Instances

InputState Input Token Pos |

input :: Options -> Pos -> String -> Input

type Lexer s = Pos -> String -> Maybe (s, Pos, String)

scan :: Options -> Lexer Token

ident :: [Char] -> ([Char], [Char])

lowercaseKeywords :: [[Char]]

keywords :: [[Char]]

ncomment :: (Pos -> [Char] -> Maybe (Token, Pos, [a])) -> Pos -> [Char] -> Maybe (Token, Pos, [a])

codescrap :: Pos -> [Char] -> Maybe (Token, Pos, [Char])

codescrap' :: (Eq a, Num a) => a -> Pos -> [Char] -> (Pos, [Char], [Char])

scanLit :: String -> ([[Char]], [Char])

toLines :: String -> [String]

breakLine :: [Char] -> ([Char], [Char])

codelines :: [(t, [Char])] -> ([(t, [Char])], [(t, [Char])])

codeLines :: [(t, [Char])] -> ([(t, [Char])], [(t, [Char])])

getName :: [Char] -> [Char]